## ros-iron-ur-robot-driver 2.3.3

=== debian/changelog ===
ros-iron-ur-robot-driver (2.3.3-1jammy) jammy; urgency=high

  * Run robot driver test also with tf_prefix (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/729>) (#752 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/752>)
    * Run robot driver test also with tf_prefix
    * Use tf_prefix substitution in controllers config file
    * Set default value of tf_prefix in launchfile to empty instead of '""'
    ---------
    Co-authored-by: Robert Wilbrandt <mailto:wilbrandt@fzi.de>
    (cherry picked from commit 79bfddc7ac4cd3a69594da26ce6ae8b8024eae73)
    Co-authored-by: Felix Exner (fexner) <mailto:exner@fzi.de>
  * Urscript interface (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/721>)
    * Add a urscript interface node
    * Add urscript_interface to standard launchfile
    * Added documentation for urscript_interface
    * Add a notice about incorrect script code
    * Add test for urscript interface
    * Move tests to one single tests
    This should avoid that different tests run in parallel
    * Wait for IO controller before checking IOs
    * Write an initial textmessage when connecting the urscript_interface
    * Wait for controller_manager services longer
    * Make sure we have a clean robot state without any program running once we enter our test
    similar to how we did it on the robot_driver test
    * Remove unneeded Destructor definition
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>)
    Previous investigations showed that using FIFO scheduling helps keeping
    cycle times also non non-RT kernels. This combined with non-blocking read
    can result in a very stable system.
    This is, in fact, very close to what the actual controller_manager_node
    does except that we always use FIFO scheduling independent of the actual
    kernel in use.
  * Contributors: Felix Exner (fexner), mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 23 Aug 2023 00:00:00 -0000

ros-iron-ur-robot-driver (2.3.2-1jammy) jammy; urgency=high

  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>)
  * Removed workaround also in export_command_interfaces (#692 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/692>)
  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>)
  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
  * Remove tf_prefix workaround in hw interface
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>)
  * Remove ur_bringup package (#666 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/666>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>)
  * Apply suggestions from code review
  * Update definition of test goals to new version.
  * Wait longer for controllers to load and activate
  * Fix flaky tests (#641 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/641>)
    * Move robot startup into test's setUp function
    * Robustify robot startup
  * This commits adds additional configuration parameters needed for multiarm support.
  * Add timeout to execution test
  * Improve logging for robot execution tests
  * Contributors: Denis Štogl, Dr. Denis, Felix Exner, Felix Exner (fexner), Lennart Nachtigall, Robert Wilbrandt, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 02 Jun 2023 00:00:00 -0000

ros-iron-ur-robot-driver (2.3.1-1jammy) jammy; urgency=high

  * Adjust controller switching to message change
  * Controller spawner timeout (#608 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/608>)
    * Simplify controller spawner definitions
    * Ignore flake8 W503 as it clashes with black and goes against PEP8 style
    * Add argument to set controller spawner timeout
    * Use longer controller manager timeout in CI
    The default timeout of 10s is the same as our RTDE retry timeout, which
    means if RTDE does not immediately connect (which happens regularly in
    CI runners) controller spawning would fail.
  * Increase timeout for first test service call to driver (#605 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/605>)
  * Contributors: Robert Wilbrandt, RobertWilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 16 Mar 2023 00:00:00 -0000

ros-iron-ur-robot-driver (2.3.0-1jammy) jammy; urgency=high

  * Fix cmake dependency on controller_manager
  * Correct calibration correction launch file in doc
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>)
    Added launch arguments for reverse ip and script command interface port.
  * Fix comment in test file
  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
    * Remove ros_control.urscript
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
  * Clean up & improve execution tests (#512 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/512>)
    * Clean up execution test files
    * Start ursim as part of the execution tests
    * Dont use custom dockerursim for humble and rolling execution tests
    * Clean up test implementations
    * pep257 fixes
    * Perform rolling and humble execution tests as part of normal pipelines

